package cn.ibizlab.assetmanagement.assetapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.assetmanagement.util.domain.DTOBase;
import cn.ibizlab.assetmanagement.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[EAMPlanCDTDTO]
 */
@Data
public class EAMPlanCDTDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [EAMPLANCDTID]
     *
     */
    @JSONField(name = "eamplancdtid")
    @JsonProperty("eamplancdtid")
    private String eamplancdtid;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;

    /**
     * 属性 [EAMPLANCDTNAME]
     *
     */
    @JSONField(name = "eamplancdtname")
    @JsonProperty("eamplancdtname")
    private String eamplancdtname;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [EAMPLANID]
     *
     */
    @JSONField(name = "eamplanid")
    @JsonProperty("eamplanid")
    private String eamplanid;


    /**
     * 设置 [EAMPLANCDTNAME]
     */
    public void setEamplancdtname(String  eamplancdtname){
        this.eamplancdtname = eamplancdtname ;
        this.modify("eamplancdtname",eamplancdtname);
    }

    /**
     * 设置 [EAMPLANID]
     */
    public void setEamplanid(String  eamplanid){
        this.eamplanid = eamplanid ;
        this.modify("eamplanid",eamplanid);
    }


}

